Loading...
Searching...
No Matches
BALL::GRAPH::EditableEdgeCopier< Graph1, Graph2 > Struct Template Reference

`#include <BALL/DATATYPE/GRAPH/graphAlgorithms.h>`

## Public Member Functions

| EditableEdgeCopier (const Graph1 &, Graph2 &g2)
template<typename Edge1, typename Edge2>
void | operator() (const Edge1 &e1, Edge2 &e2) const

## Public Attributes

boost::property_map< Graph2, boost::edge_orig_ptr_t >::type | edge_orig_map

## Detailed Description

template<typename Graph1, typename Graph2>
struct BALL::GRAPH::EditableEdgeCopier< Graph1, Graph2 >

Definition at line 93 of file graphAlgorithms.h.

## Constructor & Destructor Documentation

## EditableEdgeCopier()

template<typename Graph1, typename Graph2>

BALL::GRAPH::EditableEdgeCopier< Graph1, Graph2 >::EditableEdgeCopier | ( | const Graph1 & | ,
|  | Graph2 & | g2 )

inline

Definition at line 95 of file graphAlgorithms.h.

## Member Function Documentation

## operator()()

template<typename Graph1, typename Graph2>
template<typename Edge1, typename Edge2>

void BALL::GRAPH::EditableEdgeCopier< Graph1, Graph2 >::operator() | ( | const Edge1 & | e1,
|  | Edge2 & | e2 ) const

inline

Definition at line 100 of file graphAlgorithms.h.

## Member Data Documentation

## edge_orig_map

template<typename Graph1, typename Graph2>

boost::property_map<Graph2,boost::edge_orig_ptr_t>::type BALL::GRAPH::EditableEdgeCopier< Graph1, Graph2 >::edge_orig_map

mutable

Definition at line 105 of file graphAlgorithms.h.